Docs Official API format /luma/generations/{id}
API reference

Query generation tasks

Query video generation status and results based on task ID.

GET/luma/generations/{id}

Responses

200 success application/json
response-200 object
properties
batch_id string

Batch ID

created_at string · date-time

Creation time

estimate_wait_seconds integer nullable

Estimated waiting time (seconds) Estimated waiting time (seconds)

id string

Task ID Task ID

last_frame object nullable

Last-frame image URL

prompt string

Prompt words used Prompt words used

queue_state string nullable

Queue state

state string

task status task status

thumbnail object nullable

Thumbnail URL

video object nullable

Video URL or identifier

401 Missing or invalid API Key application/json
response-401 object
properties
error* object
Code Sample cURL
1curl -X GET "https://api.digislash.com/luma/generations/{id}" \
2-H "Authorization: Bearer <API Key>"
Response
1▼{
2"batch_id": "string",
3"created_at": "string",
4"estimate_wait_seconds": 0,
5"id": "string",
6▼"last_frame": {
7"url": "string"
8},
9"prompt": "string",
10"queue_state": "string",
11"state": "queued",
12▼"thumbnail": {
13"url": "string"
14},
15▼"video": {
16"height": 0,
17"url": "string",
18"width": 0
19}
20}